


# L4: Function.

def memory_generateConstPlayfield(
  n: int
) -> dict[int, int]:
  idGroups: dict[int, int] = { }
  id = 0
  for gid in range(0, n):
    idGroups[id] = gid
    id += 1
    idGroups[id] = gid
    id += 1
  #}
  return idGroups
#}

# L20: Test.

def test_memory_generateConstPlayfield(
) -> str:
  idGroups = memory_generateConstPlayfield(2)
  if (
    len(idGroups) == 4 and
    idGroups[0] == 0 and
    idGroups[1] == 0 and
    idGroups[2] == 1 and
    idGroups[3] == 1
  ):
    return "OK: memory_generateConstPlayfield"
  #}
  return "ERR: memory_generateConstPlayfield"
#}
